Subject: Re: [PATCH 6/n] gitweb: Remove redundant "blob" links from git_difftree_body

From: Jakub Narebski <[email-masked]>
Date: Fri, 3 Nov 2006 12:01:46 +0100

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
>> ... First, it did that incompletely: it did not add "blob"
>> link for added files, and added block used mixture of tabs and spaces
>> for align. Second, in "difftree" view the "blob" link is not the most
>> interesting, *contrary* to "blob"/"tree" link in "tree" view, so it
>> should be enough to have hidden link in the form of file name entry.
> 
> I think these "blob" links are good thing to have, and if you
> think the earlier work was incomplete and know some cases are
> not covered I think it would be better to help completing it
> rather than reverting.
> 
> I do not understand why you feel "blob" is not the most
> interesting.  Often, when it is not obvious if a patch is
> correct only with the context, it is useful to view the whole
> postimage after applying the patch, and the "blob" link helps
> that.

O.K. I'll choose the "add blob links where there are none in difftree view"
approach in cleaned up and resend series.

I'll wait a while (a day or two) for further comments before redoing
the series.

P.S. Remove empty patches might produce incorrect HTML (one of <div>
is not closed). I'll correct it on resend.
-- 
Jakub Narebski